net.corda.core.node.services

## Class IdentityService.DefaultImpls

- net.corda.core.node.services.IdentityService.DefaultImpls

- Enclosing interface:
    IdentityService

      public static class IdentityService.DefaultImpls

  An identity service maintains an bidirectional map of `class Party`s to their associated public keys and thus supports lookup of a party given its key. This is obviously very incomplete and does not reflect everything a real identity service would provide.

  See Also:
    `class Party`

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Party` | `partyFromAnonymous(IdentityService $this, PartyAndReference partyRef)`

- - ### Method Detail

    - #### partyFromAnonymous

          public static Party partyFromAnonymous(IdentityService $this,
                                                 PartyAndReference partyRef)